package com.ssj.dao.sys.train.dao;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface TrainQueryDao {

	public Page<Map<String, Object>> findTrainVideoInfoByPage(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> findMerchantTeaNumByPage(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> findTeaInfoNumByPage(Map<String, Object> params, Pageable pageable);
	
	public Map<String, Object> findTrainVideoUserByPage(Map<String, Object> params);

	public List<Map<String, Object>> findTrainVideoUserByUserId(String userId);
	
	public List<Map<String, Object>> findTrainVideoUserByRoleType(String userId,Integer roleType,String module);
	
	public List<Map<String, Object>> findVideoFileByType();
	
	public Page<Map<String, Object>> findVideoFileBySysPage(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> findVideoFileByPage(Map<String, Object> params, Pageable pageable);

	
	public Page<Map<String, Object>> findTrainUserBySysPage(Map<String, Object> params, Pageable pageable);
}
